Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationManagement

    java.lang.Object
      kodo.manage.AbstractManagementConfiguration
          kodo.manage.ManagementConfigurationManagement

All Implemented Interfaces:
  ManagementConfiguration, org.apache.openjpa.lib.conf.Configurable, org.apache.openjpa.lib.util.Closeable

Direct Known Subclasses:
  ManagementConfigurationManagementExport, ManagementConfigurationManagementJMX2Remote, ManagementConfigurationManagementLocal, ManagementConfigurationManagementMX4J1Remote, ManagementConfigurationManagementProfiling, ManagementConfigurationManagementWL81

    public class ManagementConfigurationManagement

extends AbstractManagementConfiguration

Configuration for generic management.

Field Summary

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`conf`

Constructor Summary
`ManagementConfigurationManagement()`

Method Summary
`void` | `endConfiguration()`
`com.solarmetric.profile.ExecutionContextNameProvider` | `getExecutionContextNameProvider()`
`com.solarmetric.manage.jmx.MBeanProvider[]` | `getMBeanPlugins()`
`MBeanServer` | `getMBeanServer()`
`String` | `getMBeanServerStrategy()`
`Collection` | `getPlugins()`
`protected ManagementConfigurationProfiling` | `getProfConfig()` Return a separate management configuration instance to delegate to for profiling information, or null to leave with no profiling.
`kodo.profile.KodoProfilingAgent` | `getProfilingAgent()`
`void` | `initProfiling(kodo.profile.KodoProfilingAgent agent)`
`void` | `setConfiguration(org.apache.openjpa.lib.conf.Configuration conf)`
`void` | `setEnableLogMBean(boolean enable)`
`void` | `setEnableRuntimeMBean(boolean enable)`
`void` | `setMBeanServerStrategy(String mbeanServerStrategy)`
`void` | `setStackStyle(String stackStyle)`
`void` | `startConfiguration()`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`close, closeManagement, closeProfiling, initManagement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationManagement

    public ManagementConfigurationManagement()

Method Detail

### getProfConfig

    protected ManagementConfigurationProfiling getProfConfig()

  Return a separate management configuration instance to delegate to for profiling information, or null to leave with no profiling.

### setConfiguration

    public void setConfiguration(org.apache.openjpa.lib.conf.Configuration conf)

  Specified by:
    `setConfiguration` in interface `org.apache.openjpa.lib.conf.Configurable`
  Overrides:
    `setConfiguration` in class `AbstractManagementConfiguration`

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `org.apache.openjpa.lib.conf.Configurable`
  Overrides:
    `startConfiguration` in class `AbstractManagementConfiguration`

### endConfiguration

    public void endConfiguration()

  Specified by:
    `endConfiguration` in interface `org.apache.openjpa.lib.conf.Configurable`
  Overrides:
    `endConfiguration` in class `AbstractManagementConfiguration`

### getPlugins

    public Collection getPlugins()

  Overrides:
    `getPlugins` in class `AbstractManagementConfiguration`

### getMBeanServerStrategy

    public String getMBeanServerStrategy()

### setMBeanServerStrategy

    public void setMBeanServerStrategy(String mbeanServerStrategy)

### getMBeanServer

    public MBeanServer getMBeanServer()

  Specified by:
    `getMBeanServer` in interface `ManagementConfiguration`
  Overrides:
    `getMBeanServer` in class `AbstractManagementConfiguration`

### setEnableLogMBean

    public void setEnableLogMBean(boolean enable)

### setEnableRuntimeMBean

    public void setEnableRuntimeMBean(boolean enable)

### getMBeanPlugins

    public com.solarmetric.manage.jmx.MBeanProvider[] getMBeanPlugins()

  Specified by:
    `getMBeanPlugins` in interface `ManagementConfiguration`
  Overrides:
    `getMBeanPlugins` in class `AbstractManagementConfiguration`

### setStackStyle

    public void setStackStyle(String stackStyle)

### getProfilingAgent

    public kodo.profile.KodoProfilingAgent getProfilingAgent()

  Specified by:
    `getProfilingAgent` in interface `ManagementConfiguration`
  Overrides:
    `getProfilingAgent` in class `AbstractManagementConfiguration`

### initProfiling

    public void initProfiling(kodo.profile.KodoProfilingAgent agent)

  Specified by:
    `initProfiling` in interface `ManagementConfiguration`
  Overrides:
    `initProfiling` in class `AbstractManagementConfiguration`

### getExecutionContextNameProvider

    public com.solarmetric.profile.ExecutionContextNameProvider getExecutionContextNameProvider()

  Specified by:
    `getExecutionContextNameProvider` in interface `ManagementConfiguration`
  Overrides:
    `getExecutionContextNameProvider` in class `AbstractManagementConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.